Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Class PluginCacheRegistry

    java.lang.Object
      org.jivesoftware.openfire.container.PluginCacheRegistry

    public class PluginCacheRegistry

extends Object

A simple registry of cache configuration data for plugins.

Method Summary
`CacheInfo` | `getCacheInfo(String name)`
`static PluginCacheRegistry` | `getInstance()`
`void` | `registerCache(String pluginName, CacheInfo info)` Registers cache configuration data for a give cache and plugin.
`void` | `unregisterCaches(String pluginName)` Unregisters all caches for the given plugin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PluginCacheRegistry getInstance()

### registerCache

    public void registerCache(String pluginName,
                              CacheInfo info)

  Registers cache configuration data for a give cache and plugin.

  Parameters:
    `pluginName` - the name of the plugin which will use the cache.
    `info` - the cache configuration data.

### unregisterCaches

    public void unregisterCaches(String pluginName)

  Unregisters all caches for the given plugin.

  Parameters:
    `pluginName` - the name of the plugin whose caches will be unregistered.

### getCacheInfo

    public CacheInfo getCacheInfo(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.